jQuery(function ($) {
  const ajaxUrl = sns_relate_ajax_object.ajaxurl;

  //ログイン画面関連
  nomalSelect_init();
  //WP投稿タイプの変更
  $("#id_postType").on("change", function () {
    dispLoading(); //ローディング開始

    $.ajax({
      type: "POST",
      url: ajaxUrl,

      data: {
        action: "itmar_option_entry",
        option_name: "postgetType",
        option_val: $(this).val(),
        nonce: sns_relate_ajax_object.nonce,
      },
    })
      .done(function (data) {})
      .fail(function (jqXHR, textStatus, errorThrown) {
        alert("エラーが発生しました。ステータス：" + jqXHR.status);
        console.log("jqXHR: " + jqXHR.status); // HTTPステータスが取得
        console.log("textStatus: " + textStatus); // タイムアウト、パースエラー
        console.log("errorThrown: " + errorThrown.message); // 例外情報
        console.log("URL: " + admin_ajax);
      })
      .always(function () {
        removeLoading();
      });
  });

  //FBページ選択（ラジオボタン）の初期化
  radio_init();
  //FBページの選択を登録
  $(document).on("click", "#fb_entry", function () {
    dispLoading(); //ローディング開始

    //選択されたページを取得
    let sel_check = $("input[name='page_radio']:checked");
    let sel_num = $("input[name='page_radio']").index(sel_check);

    if (sel_num === -1) sel_num = 0; //チェックがない場合は最初の要素

    $.ajax({
      type: "POST",
      url: ajaxUrl,

      data: {
        action: "itmar_option_entry",
        option_name: "itmar_facebook_selected_page_id",
        option_val: sel_num,
        nonce: sns_relate_ajax_object.nonce,
      },
    })
      .done(function (data) {
        location.reload();
      })
      .fail(function (jqXHR, textStatus, errorThrown) {
        alert("エラーが発生しました。ステータス：" + jqXHR.status);
        console.log("jqXHR: " + jqXHR.status); // HTTPステータスが取得
        console.log("textStatus: " + textStatus); // タイムアウト、パースエラー
        console.log("errorThrown: " + errorThrown.message); // 例外情報
        console.log("URL: " + admin_ajax);
      })
      .always(function () {
        //removeLoading();
      });
  });
});
